CREATE TABLE ffs_theme (
    THEME_ID             NUMBER(10, 0) ,
    CUSTOM               NUMBER(3, 0)      NOT NULL,
    NAME                 VARCHAR2(1024),
    LABEL                VARCHAR2(1120)    NOT NULL,
    ACTIVE               NUMBER(3, 0)      NOT NULL,
    UPLOAD_DATE          TIMESTAMP(0)  ,
    UPDATE_DATE          TIMESTAMP(0)  ,
    COLOR                VARCHAR2(160) ,
    COPYRIGHT            VARCHAR2(4000),
    TOP_PAGE_TITLE       VARCHAR2(4000),
    BIG_LOGO             BLOB          ,
    LOGIN_LOGO           BLOB          ,
    SMALL_LOGO           BLOB          ,
    BG_PAGE              VARCHAR2(160) ,
    BG_SUBMIT            VARCHAR2(160) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL,
    DELETED_FLAG         VARCHAR2(4)   ,
    THEME_ID             NUMBER(10, 0) ,
    CUSTOM               NUMBER(3, 0)      NOT NULL,
    NAME                 VARCHAR2(1024),
    LABEL                VARCHAR2(1120)    NOT NULL,
    ACTIVE               NUMBER(3, 0)      NOT NULL,
    UPLOAD_DATE          TIMESTAMP(0)  ,
    UPDATE_DATE          TIMESTAMP(0)  ,
    COLOR                VARCHAR2(160) ,
    COPYRIGHT            VARCHAR2(4000),
    TOP_PAGE_TITLE       VARCHAR2(4000),
    BIG_LOGO             BLOB          ,
    LOGIN_LOGO           BLOB          ,
    SMALL_LOGO           BLOB          ,
    BG_PAGE              VARCHAR2(160) ,
    BG_SUBMIT            VARCHAR2(160) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL,
    DELETED_FLAG         VARCHAR2(4)   ,
    CONSTRAINT pk_ffs_theme PRIMARY KEY (THEME_ID, THEME_ID)
);
